Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:35 2009

## Asterisk developer's documentation

# chan_list Struct Reference

Collaboration diagram for chan_list:

[legend]

## Data Fields

int | addr
char | allowed_bearers [BUFFERSIZE+1]
struct ast_channel * | ast
int | ast_dsp
char | ast_rd_buf [4096]
struct misdn_bchannel * | bc
char | context [BUFFERSIZE]
int | dropped_frame_cnt
struct ast_dsp * | dsp
int | dummy
int | far_alerting
int | faxdetect
int | faxhandled
struct chan_list * | first
struct ast_frame | frame
struct hold_info | hold_info
int | ignore_dtmf
int | incoming_early_audio
struct misdn_jb * | jb
int | jb_len
int | jb_upper_threshold
unsigned int | l3id
ast_mutex_t | lock
int | need_busy
int | need_hangup
int | need_queue_hangup
struct chan_list * | next
int | noautorespond_on_setup
int | norxtone
int | notxtone
int | nttimeout
int | orginator
struct chan_list * | other_ch
int | other_pid
int | overlap_dial
int | overlap_dial_task
struct timeval | overlap_tv
ast_mutex_t | overlap_tv_lock
struct chan_list * | peer
int | pipe [2]
struct chan_list * | prev
enum misdn_chan_state | state
int | toggle_ec
struct ast_trans_pvt * | trans
struct tone_zone_sound * | ts
int | zero_read_cnt

## Detailed Description

Definition at line 143 of file chan_misdn.c.

## Field Documentation

int addr

Definition at line 192 of file chan_misdn.c.

Referenced by cb_events(), and print_bc_info().

char allowed_bearers[BUFFERSIZE+1]

Definition at line 147 of file chan_misdn.c.

Referenced by cb_events(), and read_config().

struct ast_channel* ast`[read]`

Definition at line 183 of file chan_misdn.c.

Referenced by cb_events(), dialtone_indicate(), do_immediate_setup(), get_chan_by_ast(), get_chan_by_ast_name(), hangup_chan(), misdn_answer(), misdn_digit(), misdn_fixup(), misdn_hangup(), misdn_overlap_dial_task(), misdn_request(), misdn_send_digit(), misdn_show_cl(), misdn_show_cls(), misdn_transfer_bc(), pbx_start_chan(), print_bc_info(), process_ast_dsp(), read_config(), release_chan(), send_digit_to_chan(), stop_indicate(), and update_config().

int ast_dsp

Definition at line 174 of file chan_misdn.c.

Referenced by misdn_read(), misdn_set_opt_exec(), and process_ast_dsp().

char ast_rd_buf[4096]

Definition at line 168 of file chan_misdn.c.

Referenced by misdn_read().

struct misdn_bchannel* bc`[read]`

Definition at line 187 of file chan_misdn.c.

Referenced by cb_events(), cl_queue_chan(), config_jitterbuffer(), dialtone_indicate(), find_chan_by_bc(), find_chan_by_pid(), hangup_chan(), hanguptone_indicate(), misdn_answer(), misdn_bridge(), misdn_call(), misdn_digit(), misdn_facility_exec(), misdn_fixup(), misdn_hangup(), misdn_indication(), misdn_overlap_dial_task(), misdn_read(), misdn_request(), misdn_send_cd(), misdn_send_display(), misdn_send_text(), misdn_set_opt_exec(), misdn_show_cl(), misdn_show_cls(), misdn_toggle_echocancel(), misdn_write(), process_ast_dsp(), read_config(), start_bc_tones(), stop_indicate(), and update_config().

char context[BUFFERSIZE]

Definition at line 194 of file chan_misdn.c.

Referenced by cb_events(), misdn_overlap_dial_task(), and read_config().

int dropped_frame_cnt

Definition at line 197 of file chan_misdn.c.

Referenced by misdn_write().

struct ast_dsp* dsp`[read]`

Definition at line 180 of file chan_misdn.c.

Referenced by cl_dequeue_chan(), misdn_set_opt_exec(), and process_ast_dsp().

int dummy

Definition at line 185 of file chan_misdn.c.

int far_alerting

Definition at line 199 of file chan_misdn.c.

Referenced by cb_events(), and read_config().

int faxdetect

Definition at line 171 of file chan_misdn.c.

Referenced by misdn_read(), misdn_set_opt_exec(), and process_ast_dsp().

int faxhandled

Definition at line 172 of file chan_misdn.c.

Referenced by process_ast_dsp().

struct chan_list* first`[read]`

Definition at line 216 of file chan_misdn.c.

struct ast_frame frame`[read]`

Definition at line 169 of file chan_misdn.c.

Referenced by misdn_read().

struct hold_info hold_info`[read]`

Definition at line 189 of file chan_misdn.c.

Referenced by cb_events(), and find_holded().

int ignore_dtmf

Definition at line 165 of file chan_misdn.c.

Referenced by cb_events(), and misdn_bridge().

int incoming_early_audio

Definition at line 163 of file chan_misdn.c.

Referenced by misdn_indication(), and read_config().

struct misdn_jb* jb`[read]`

Definition at line 178 of file chan_misdn.c.

Referenced by chan_misdn_jb_empty(), config_jitterbuffer(), misdn_write(), and release_chan().

int jb_len

Definition at line 176 of file chan_misdn.c.

Referenced by config_jitterbuffer(), misdn_set_opt_exec(), and read_config().

int jb_upper_threshold

Definition at line 177 of file chan_misdn.c.

Referenced by config_jitterbuffer(), misdn_set_opt_exec(), and read_config().

unsigned int l3id

Definition at line 191 of file chan_misdn.c.

Referenced by cb_events(), find_holded_l3(), misdn_call(), misdn_fixup(), misdn_hangup(), misdn_show_cls(), and print_bc_info().

ast_mutex_t lock

Definition at line 145 of file chan_misdn.c.

int need_busy

Definition at line 152 of file chan_misdn.c.

Referenced by cb_events(), init_chan_list(), and send_cause2ast().

int need_hangup

Definition at line 151 of file chan_misdn.c.

Referenced by hangup_chan(), init_chan_list(), misdn_hangup(), misdn_request(), and pbx_start_chan().

int need_queue_hangup

Definition at line 150 of file chan_misdn.c.

Referenced by hangup_chan(), init_chan_list(), and misdn_hangup().

struct chan_list* next`[read]`

Definition at line 214 of file chan_misdn.c.

Referenced by cl_dequeue_chan(), cl_queue_chan(), find_chan_by_bc(), find_chan_by_pid(), find_holded(), find_holded_l3(), get_chan_by_ast(), get_chan_by_ast_name(), misdn_show_cl(), and misdn_show_cls().

int noautorespond_on_setup

Definition at line 154 of file chan_misdn.c.

Referenced by cb_events(), do_immediate_setup(), and read_config().

int norxtone

Definition at line 158 of file chan_misdn.c.

Referenced by dialtone_indicate(), print_bc_info(), start_bc_tones(), and stop_bc_tones().

int notxtone

Definition at line 159 of file chan_misdn.c.

Referenced by dialtone_indicate(), misdn_write(), print_bc_info(), start_bc_tones(), and stop_bc_tones().

int nttimeout

Definition at line 201 of file chan_misdn.c.

Referenced by cb_events(), and read_config().

int orginator

Definition at line 156 of file chan_misdn.c.

Referenced by cb_events(), init_chan_list(), misdn_hangup(), misdn_indication(), misdn_set_opt_exec(), and print_bc_info().

struct chan_list* other_ch`[read]`

Definition at line 204 of file chan_misdn.c.

Referenced by import_ch(), misdn_call(), misdn_digit(), and misdn_indication().

int other_pid

Definition at line 203 of file chan_misdn.c.

Referenced by import_ch().

int overlap_dial

Definition at line 208 of file chan_misdn.c.

Referenced by cb_events(), misdn_overlap_dial_task(), read_config(), and release_chan().

int overlap_dial_task

Definition at line 209 of file chan_misdn.c.

Referenced by cb_events(), init_chan_list(), misdn_overlap_dial_task(), read_config(), and release_chan().

struct timeval overlap_tv`[read]`

Definition at line 211 of file chan_misdn.c.

Referenced by cb_events(), and misdn_overlap_dial_task().

ast_mutex_t overlap_tv_lock

Definition at line 210 of file chan_misdn.c.

Referenced by cb_events(), misdn_overlap_dial_task(), read_config(), and release_chan().

struct chan_list* peer`[read]`

Definition at line 213 of file chan_misdn.c.

int pipe[2]

Definition at line 167 of file chan_misdn.c.

Referenced by cb_events(), misdn_hangup(), misdn_new(), misdn_read(), and release_chan().

struct chan_list* prev`[read]`

Definition at line 215 of file chan_misdn.c.

enum misdn_chan_state state

Definition at line 149 of file chan_misdn.c.

Referenced by cb_events(), do_immediate_setup(), find_holded(), find_holded_l3(), misdn_answer(), misdn_call(), misdn_digit(), misdn_get_ch_state(), misdn_hangup(), misdn_indication(), misdn_overlap_dial_task(), misdn_read(), misdn_show_cls(), misdn_transfer_bc(), misdn_write(), release_chan(), send_cause2ast(), and wait_for_digits().

int toggle_ec

Definition at line 161 of file chan_misdn.c.

Referenced by misdn_toggle_echocancel().

struct ast_trans_pvt* trans`[read]`

Definition at line 181 of file chan_misdn.c.

Referenced by cl_dequeue_chan(), misdn_set_opt_exec(), and process_ast_dsp().

struct tone_zone_sound* ts`[read]`

Definition at line 206 of file chan_misdn.c.

Referenced by dialtone_indicate(), misdn_write(), and stop_indicate().

int zero_read_cnt

Definition at line 196 of file chan_misdn.c.

The documentation for this struct was generated from the following file:

- chan_misdn.c